# -*- coding: utf-8 -*-

import os
from typing import Callable

from app.services.milvus_helpers import get_milvus_cli


def create_start_app_handler() -> Callable:
    async def start_app() -> None:
        if os.getenv("NEED_MILVUS", "yes") == "yes":
            await get_milvus_cli()

    return start_app
